Subject: which max/min model data for cor

From: [email-masked]
Date: 16 Jul 1997 14:15:58 -0500

I am trying to determine the correct methodology for extracting data from
IBIS models to simulate two corner cases: 1) flight time (slow/weak driver,
max. receiver load) and 2) signal quality (fast/strong driver, min. receiver
load).

I would like to present the following table for review.

---begin parameters

    IBIS Model Parameter Values Used to Simulate Flight Time and Signal Quality

    Device                  Modeling Parameter   Flight Time   Signal Quality
                                                 (Slow,Weak)   (Fast, Strong)
    ---------------------   ------------------   -----------   --------------
    Input Buffer            Cpkg                     Max             Min
                            Rpkg                     Max             Min
                            Lpkg                     Max             Min
                            Ccomp                    Max             Min
                            PowerClamp               Max             Min
                            GroundClamp              Max             Min

    Output Buffer           Ramp (dV/dt)             Min             Max
                            PullUp                   Min             Max
                            PullDown                 Min             Max
                            PowerClamp               Min             Max
                            GroundClamp              Min             Max
                            Ccomp                    Max             Min
                            Lpkg                     Max             Min
                            Rpkg                     Max             Min
                            Cpkg                     Max             Min

    Termination             Rseries                  Max             Min
                            Rgnd                     Max             Min
                            Rpower                   Max             Min
                            Rac                      Max             Min
                            Cac                      Max             Min

    Printed Circuit Board   Zo                       Min             Max
                            S (ns/ft)                Max             Min
                            Cvia                     Max             Min

    Other                   Temperature              Min             Max
                            Vcc                      Min             Max

    References:
    Intel AP-481 "Designing with the Pentium Processor, ..." October 1993
    I/O Buffer Information Specification (IBIS) Version 2.1, December 13, 1995
    UniCAD UniSolve Course Notes "Modeling for ... Signal Integrity", January 1997

    $Id: parameters,v 1.2 1997/07/16 18:26:34 welliott Exp welliott $
---end parameters

The following text from IBIS Specification Version 2.1 causes some confusion for
me (in particular the [Power Clamp] and [Gnd Clamp] keywords):

    "For most [Model] keyword data, the "min" column describes slow, weak
    performance, and the "max" column describes the fast, strong performance."

    "The voltage and temperature keywords ... control the conditions which
    define the "typ", "min", and "max" column entries for all V/I table
    keywords [Pulldown], [Pullup], [Gnd Clamp], and [Power Clamp]; ..."

My Four Questions:

 1) For an IBIS output model, do the "min" [Power Clamp] and [Gnd Clamp] keyword
    column data entries represent the slow/weak driver condition?

 2) For an IBIS input model, do the "max" [Power Clamp] and [Gnd Clamp] keyword
    column data entries represent the maximum receiver load condition?

 3) For the IBIS input model, like the one listed below, do the "max" [Gnd Clamp]
    keyword data entries correspond to the supply voltage of 5.5 volts, as
    indicated in the [Voltage Range] keyword?

---begin edo.ibs (portion)
|
[Model]     INPUT
Model_type  Input
Vinl = 0.8
Vinh = 2.4
|
|Variable       typ    min    max
C_comp          1.5p  0.82p   2.99p
|
|Variable       typ    min    max
[Voltage range] 5.0    4.5   5.5
|
[GND_clamp]
|Volts      typ            min            max
-5.00     -127.0m        -115.6m        -140.4m
-4.00      -97.6m         -88.3m        -108.2m
-3.00      -65.8m         -59.2m         -73.5m
-2.00      -34.2m         -30.8m         -38.3m
-1.00       -5.78m         -5.77m         -5.92m
-0.800      -1.899m        -2.17m         -1.72m
-0.600      -0.714m        -0.290m        -0.465m
-0.400      -0.006m        -0.0200m        0
-0.200       0              0              0
5            0              0              0
10           0              0              0
|
---end edo.ibs (portion)

 4) Is there a simulation methodology problem running a flight time simulation using
    IBIS model data for the driver corresponding to Vcc = 4.5 volts and the IBIS model
    data for the receiver corresponding to Vcc = 5.5 volts?

Thanks,

Wray Elliott, Engineer              [email-masked]
SCI Systems, Inc.  MS/342           (205) 882-4107 Extension 3855
13000 S. Memorial Parkway
Huntsville, Alabama 35803